Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 24-08-2015 16:18:49

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

[Résolu] Je crois que j'ai besoin de Wine

Salut,
Je commence à faire des sous-titrages, tout marchait bien... sous Windows, depuis que ma machine chérie est de retour, je lui ai installé le logiciel que j'utilise (subtitle editor) mais l'interface ne me plaît pas du tout:
sous windows, j'avais cette UI badass Subtitle_Edit_screenshot.png
alors que sous linux, j'ai une UI toute pourrie à moitiée buggée et toutPMS3RfXk
Donc je voudrais avoir quelques infos/retours sur Wine ou une autre solution pour avoir la même UI que sur W$.

Mes quelques questions:
- Wine est il une vulnérabilité pour mon système ?
- Quels sont les pouvoirs que les progs win executés ont ?
- Il y a t-il moyen de leur couper l'accès au Net ?
voila tout
Merci d'avance

Dernière modification par nazmi (24-08-2015 18:38:25)

Hors ligne

#2 24-08-2015 16:24:23

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

je viens de m'apperçevoir que j'utilisais 2 softs différents :
Subtitle Edit sur W$ et Subtitle Editor sous Linux, ça change la donne, je vais essayer de le trouver

Dernière modification par nazmi (24-08-2015 16:24:42)

Hors ligne

#3 24-08-2015 16:28:36

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

apparamment, j'ai besoin de Mono, le framework .net sous linux, est-ce sûr, je commence à avoir peur pour ma config

Hors ligne

#4 24-08-2015 16:38:03

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [Résolu] Je crois que j'ai besoin de Wine

nazmi on peut aussi faire du sous-titrage video en ligne de commande :
Sous-titrage en mp4-TP

C'est un sacré pataquès d'y arriver ainsi mais on est sacrément récompensé lorsqu'on commence à y toucher sa bille. big_smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#5 24-08-2015 16:41:26

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

apparemment, ça marche :
nwJxkFkx
j'ai cependant un bug que j'ai souvent, celui de l'icone rebondissante que vous voyez au centre en bas qui reste pendant de longues secondes, ça me le fait avec plein de programmes

Hors ligne

#6 24-08-2015 16:43:46

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

smolski a écrit :

nazmi on peut aussi faire du sous-titrage video en ligne de commande :
Sous-titrage en mp4-TP

C'est un sacré pataquès d'y arriver ainsi mais on est sacrément récompensé lorsqu'on commence à y toucher sa bille. big_smile



Merci mais la ligne de commande, je l'aime beaucoup mais de loin, ce petit prog Danois, il est cool et j'avance bien avec (4-5min de travail par minute de vidéo (en anglais)) en plus ça marche presque, plus que la langue et le phonogramme à faire fonctionner

Dernière modification par nazmi (24-08-2015 16:43:57)

Hors ligne

#7 24-08-2015 16:45:54

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

Yji531cB
fonctionnement normal

HEH7fydE
dès que je veux changer la langue, est-ce fixable facilement ou il va falloir bricoler. Moi qui croyais en être fini avec W$ et ses bugs ridicules

Hors ligne

#8 24-08-2015 16:48:35

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

bon bah je l'ai fix moi même :
l'erreur parlait de zh-Hans.xml, je suis allé dans Languages dans le dossier de Subtitle Edit (SE48) et un petit renommage de fichiers à la sauvage :
ahH5hL2u

zh-Hans.xml -> fuckzh-Hans.xml, les Chinois ne me détestez pas par rapport à ça, ce n'est pas pensé wink

zKebp2i9

bon bah je m'améliore

Dernière modification par nazmi (24-08-2015 16:51:01)

Hors ligne

#9 24-08-2015 16:52:09

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

bon bah je vais bosser maintenant

Hors ligne

#10 24-08-2015 17:00:12

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [Résolu] Je crois que j'ai besoin de Wine

Mettre résolu dans l'titre si ça marche comm' ça ? smile

Voir le tuto : C'est résolu ! Bravo mais il faut l'indiquer dans l'titre.

Pour ce qui est de la ligne de commande pour les zimages (photo & video), professionnellement je ne peux plus m'en passer. cool

Dernière modification par smolski (24-08-2015 17:00:55)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#11 24-08-2015 17:13:50

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

bon c'est toujours un peu buggé : imossible de sortir du plein écran, et j'ai pas sauvegardé, Hiiiiiiin Hiiiin sad sad sad sad

Hors ligne

#12 24-08-2015 17:23:15

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

fini mon petit sous titre du jour pour me sentir productif tongue

Hors ligne

#13 24-08-2015 17:30:43

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : [Résolu] Je crois que j'ai besoin de Wine

Hors ligne

#14 24-08-2015 17:32:20

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

smolski a écrit :

Mettre résolu dans l'titre si ça marche comm' ça ? smile

Voir le tuto : C'est résolu ! Bravo mais il faut l'indiquer dans l'titre.

Pour ce qui est de la ligne de commande pour les zimages (photo & video), professionnellement je ne peux plus m'en passer. cool



C'est pas encore résolu tongue j'veux pas être censuré big_smile , pour la console, je n'ai plus trop de mal mais multimédia-ment parlant, je ne lui ai pas encore trouvé d'utilité (à part raspi-still sur le raspberry pi pour les timelapses et cie)

Hors ligne

#15 24-08-2015 17:33:43

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

nIQnutn a écrit :


merci, il est sympa, je l'installe pour migrer un jour... ou peut être une nuit ou peut être maintenant si Subtitle Edit continue à planter neutral

Hors ligne

#16 24-08-2015 17:44:55

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

bon, je reboot à toute

Hors ligne

#17 24-08-2015 17:56:52

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

bon j'avais tout cassé:
iHE4qeIQ
alors un reboot plus tard, je m'apperçois que dans le menu vidéo, il y avait la solution:
uyhCjvGT
et pour que ça n'arrive pas de nouveau:
ohwTdhEQ

Hors ligne

#18 24-08-2015 17:57:24

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

pour en revenir à Wine, quelques avis ?

Hors ligne

#19 24-08-2015 18:21:38

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [Résolu] Je crois que j'ai besoin de Wine

Ben si tu choisis le libre et que tu l'adaptes à du pas libre... Y a comme une contradiction de fond quoâ. big_smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#20 24-08-2015 18:21:59

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : [Résolu] Je crois que j'ai besoin de Wine

wine s'éxécute comme un autre programme et peux accéder aux fichiers.
C'est un risque si tu télécharge un logiciel frelaté, sinon y a pas vraiment de risque.
Je n'ai jamais réussi à couper le réseau de wine mais y a probablement une solution.

Je te conseille d'installer PlayOnLinux qui te permet de mieux gérer tes logiciels sous Wine. Pour certains, il installera tout comme un grand.

Hors ligne

#21 24-08-2015 18:38:01

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

smolski a écrit :

Ben si tu choisis le libre et que tu l'adaptes à du pas libre... Y a comme une contradiction de fond quoâ. big_smile



c'est en partie pour ça que wine me dérange, mais j'ai toujours révé de faire de l'animation et en logiciels libres, il y a ... Sygic et ce n'est pas vraiement ce que je cherche. et un autre exemple: ce Subtitle Edit, qui est un logiciel libre... sous windows enfin ça s'est bien passé là, juste à installer Mono (btw merci à M$ d'avoir publié la norme .net sous licence MIT).

nIQnutn a écrit :

wine s'éxécute comme un autre programme et peux accéder aux fichiers.
C'est un risque si tu télécharge un logiciel frelaté, sinon y a pas vraiment de risque.
Je n'ai jamais réussi à couper le réseau de wine mais y a probablement une solution.

Je te conseille d'installer PlayOnLinux qui te permet de mieux gérer tes logiciels sous Wine. Pour certains, il installera tout comme un grand.



Ok, je crois que je vais éviter pour l'instant car tous les softs sur ma machine sont libres (sauf Minecraft et UrbanTerror (et bientôt unreal tournament)). Je vais encore reflechir, en tout cas, si ça a lieu, ce sera sans connexion au net.

Merci à tous et résolu

PS: est-ce que Subtitle Edit mérite une page sur le wiki ?

Hors ligne

#22 24-08-2015 18:48:20

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [Résolu] Je crois que j'ai besoin de Wine

@nazmi : Pour le tuto, tu peux te créer une page perso dans le wiki et tu y mets ce que tu veux dedans. smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

Hors ligne

#23 24-08-2015 23:06:06

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

smolski a écrit :

@nazmi : Pour le tuto, tu peux te créer une page perso dans le wiki et tu y mets ce que tu veux dedans. smile



OK, je vais rédiger dès que j'ai un peu de temps, peut être ce soir

Cordialement

Hors ligne

#24 02-10-2015 23:59:13

nazmi
Membre
Lieu : Normandie
Distrib. : GNU/LINUX Debian Jessie
Noyau : Linux 4.3.0-0.bpo.1-amd64
(G)UI : KDE/XFCE
Inscription : 17-07-2015

Re : [Résolu] Je crois que j'ai besoin de Wine

smolski a écrit :

@nazmi : Pour le tuto, tu peux te créer une page perso dans le wiki et tu y mets ce que tu veux dedans. smile


Commencé:
http://debian-facile.org/atelier:chanti … -avec-mono
Mais la syntaxe...

Hors ligne

Pied de page des forums